Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: gitosis

Tunables Interfaces

### Description:

Tools for managing and hosting git repositories.

### Tunables:

gitosis_can_sendmail

##### Default value

false

##### Description

Determine whether Gitosis can send mail.

Return

### Interfaces:

gitosis_domtrans( domain )

##### Summary

Execute a domain transition to run gitosis.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

gitosis_manage_lib_files( domain )

##### Summary

Create, read, write, and delete gitosis lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

gitosis_read_lib_files( domain )

##### Summary

Read gitosis lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

gitosis_run( domain , role )

##### Summary

Execute gitosis-serve in the gitosis domain, and allow the specified role the gitosis domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

Return